# ResetViewNavigationControl

#### abstractnew Cesium.ResetViewNavigationControl(terria)
Navigation/ResetViewNavigationControl.js 27

The model for a zoom in control in the navigation control tool bar

Name | Type | Description
--- | --- | ---
`terria` | Terria | The Terria instance.

### Members

#### cssClass : String
Navigation/ResetViewNavigationControl.js 59

Gets or sets the CSS class of the control. This property is observable.

#### name : String
Navigation/ResetViewNavigationControl.js 35

Gets or sets the name of the control which is set as the control's title. This property is observable.

#### svgHeight : Integer
Navigation/ResetViewNavigationControl.js 47

Gets or sets the height of the svg icon. This property is observable.

#### svgIcon : Object
Navigation/ResetViewNavigationControl.js 41

Gets or sets the svg icon of the control. This property is observable.

#### svgWidth : Integer
Navigation/ResetViewNavigationControl.js 53

Gets or sets the width of the svg icon. This property is observable.

### Methods

#### abstract protectedactivate()
Navigation/ResetViewNavigationControl.js 117

When implemented in a derived class, performs an action when the user clicks on this control